%define ver_base 0.4
%define cfg_backends gconf,keyfile
%define vfs_backends gio,gnome-vfs
%define fdo_backends glib,gnome

%def_disable introspection
%def_disable thunar

Name: libdesktop-agnostic
Version: 0.3.92
Release: alt2

Summary: A desktop-agnostic library for GLib-based projects
Group: System/Libraries
License: GPLv2+
Url: https://launchpad.net/libdesktop-agnostic

Source: http://launchpad.net/%name/%ver_base/%version/+download/%name-%version.tar.gz

BuildRequires: intltool libGConf-devel glib2-devel libgtk+2-devel python-module-pygobject-devel python-module-pygtk-devel
BuildRequires: libdbus-glib-devel libgnome-desktop-devel libvala-devel libgladeui-devel
BuildRequires: gnome-vfs-devel gobject-introspection-devel
%{?_enable_introspection:BuildRequires: libgtk+2-gir-devel}

# see /etc/xdg/%name/desktop-agnostic.ini
Requires: %name-module-cfg-gconf = %version-%release
Requires: %name-module-vfs-gio = %version-%release
Requires: %name-module-fdo-glib = %version-%release

%description
This library provides an extensible configuration API, a unified virtual file
system API, and a desktop item editor (all with pluggable backends) for
GLib-based projects. It is not tied to any one desktop environment, although
there are desktop-specific modules.

%package module-cfg-gconf
Summary: GConf module for %name
Group: System/Libraries
Requires: %name = %version-%release

%description module-cfg-gconf
This package contains the GConf module for %name.

%package module-cfg-keyfile
Summary: GLib GKeyFile module for %name
Group: System/Libraries
Requires: %name = %version-%release
Provides: %name-module-cfg

%description module-cfg-keyfile
This package contains the GLib GKeyFile module for %name.

%package module-fdo-glib
Summary: GLib desktop entry module for %name
Group: System/Libraries
Requires: %name = %version-%release
Provides: %name-module-fdo

%description module-fdo-glib
This package contains the GLib desktop entry module for %name.

%package module-fdo-gnome
Summary: GNOME-based desktop entry module for %name
Group: System/Libraries
Requires: %name = %version-%release
Provides: %name-module-fdo

%description module-fdo-gnome
This package contains the GNOME-based desktop entry module for %name.

%package module-vfs-gio
Summary: GIO VFS module for %name
Group: System/Libraries
Requires: %name = %version-%release
Provides: %name-module-vfs

%description module-vfs-gio
This package contains the GIO VFS module for %name.

%package module-vfs-gnome
Summary: GNOME VFS module for %name
Group: System/Libraries
Requires: %name = %version-%release
Provides: %name-module-vfs

%description module-vfs-gnome
This package contains the GNOME VFS module for %name.

%package devel
Group: Development/C
Summary: Development files for %name
Requires: %name = %version-%release

%description devel
This library provides an extensible configuration API, a unified virtual file
system API, and a desktop item editor (all with pluggable backends) for
GLib-based projects. It is not tied to any one desktop environment, although
there are desktop-specific modules.

This package provides files and libraries needed when building applications based on
%name.

%package gir
Summary: GObject introspection data for %name
Group: System/Libraries
Requires: %name = %version-%release

%description gir
GObject introspection data for %name

%package gir-devel
Summary: GObject introspection devel data for %name
Group: Development/C
BuildArch: noarch
Requires: %name-gir = %version-%release

%description gir-devel
GObject introspection devel data for %name

%prep
%setup -q

%build
export PYTHONDIR=%python_sitelibdir
./waf configure \
	--prefix=%prefix \
	--sysconfdir=%_sysconfdir \
	--localstatedir=%_localstatedir \
	--libdir=%_libdir \
	--mandir=%_mandir \
	%{subst_enable debug} \
	--config-backends=%cfg_backends \
	--vfs-backends=%vfs_backends \
	--desktop-entry-backends=%fdo_backends \
	--with-glade \
	%{?_disable_introspection:--disable-gi}

./waf build --nocache

%install
./waf  --nocache install --destdir=%buildroot

%files
%_bindir/lda-desktop-entry-editor
%_bindir/lda-schema-to-gconf
%_libdir/*.so.*
%python_sitelibdir/*
%dir %_libdir/desktop-agnostic/modules
%_libdir/desktop-agnostic/modules/libda-cfg-type-color.so
%_libdir/desktop-agnostic/modules/libda-module-guesser.so
%_datadir/glade3/catalogs/desktop-agnostic.xml
%_sysconfdir/xdg/%name/desktop-agnostic.ini

%files module-cfg-gconf
%_libdir/desktop-agnostic/modules/libda-cfg-gconf.so

%files module-cfg-keyfile
%_libdir/desktop-agnostic/modules/libda-cfg-keyfile.so

%files module-fdo-glib
%_libdir/desktop-agnostic/modules/libda-fdo-glib.so

%files module-fdo-gnome
%_libdir/desktop-agnostic/modules/libda-fdo-gnome.so

%files module-vfs-gio
%_libdir/desktop-agnostic/modules/libda-vfs-gio.so

%files module-vfs-gnome
%_libdir/desktop-agnostic/modules/libda-vfs-gnome-vfs.so

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_datadir/pygtk/2.0/defs/*.defs
%_datadir/vala/vapi/*.vapi
%_datadir/vala/vapi/desktop-agnostic*.deps

%if_enabled introspection
%files gir
%_libdir/girepository-1.0/*

%files gir-devel
%_datadir/gir-1.0/*
%endif


%changelog
* Mon Mar 21 2011 Yuri N. Sedunov <aris@altlinux.org> 0.3.92-alt2
- don't built hal dependent Thunar VFS module

* Mon Mar 14 2011 Yuri N. Sedunov <aris@altlinux.org> 0.3.92-alt1
- 0.3.92

* Wed Apr 14 2010 Yuri N. Sedunov <aris@altlinux.org> 0.3.90-alt1
- first build for Sisyphus

